import React, { Component } from 'react'
// import { is, fromJS } from 'immutable'
import { notification, Spin } from 'antd'
// import { BankOutlined } from '@ant-design/icons'

import Api from '@/api'
import MKEmitter from '@/utils/events.js'
import './index.scss'

export default class SysMessage extends Component {
  state = {
    loading: true
  }

  getAppList = () => {
    let param = {
      func: 's_get_kei'
    }

    Api.getSystemConfig(param).then(result => {
      if (result.status) {
        let applist = result.data.map(item => {
          item.sublist = item.data_detail || []
          item.sublist = item.sublist.map(cell => {
            cell.ID = cell.d_id
            return cell
          })

          return item
        })
        let selectApp = applist[0] || null

        this.setState({ applist, selectApp })
      } else {
        notification.warning({
          top: 92,
          message: result.message,
          duration: 5
        })
      }
    })
  }


  reloadMenuView = (menuId) => {
    if (menuId !== 'message_page_id') return

    this.getAppList()
  }

  UNSAFE_componentWillMount () {

  }

  componentDidMount () {
    MKEmitter.addListener('reloadMenuView', this.reloadMenuView)
  }

  /**
   * @description 组件销毁，清除state更新
   */
  componentWillUnmount () {
    this.setState = () => {
      return
    }
    MKEmitter.removeListener('reloadMenuView', this.reloadMenuView)
  }

  render() {
    const { loading, } = this.state

    return (
      <div className="mk-sys-message">
        {loading && <Spin />}
      </div>
    )
  }
}